PhpSwitcher

  • Hello Nuxwin,


    can you please make a new version of PhpSwitcher where PHP 7.4.2 is now included.


    Thanks in advance

    Viktor

    - Distribution: Debian | Release: 8.10 | Codename: jessie

    - i-MSCP Version: i-MSCP 1.5.3 | Build: 20180516 | Codename: Ennio Morricone

    - Plugins installed: ClamAV (v. 1.3.0), Mailgraph (v 1.1.1), OpenDKIM (v 2.0.0), PanelRedirect (v 1.2.0) & SpamAssassin (v 2.0.1)

    - LetsEncrypt (v 3.5.0), PhpSwitcher (v 5.0.5), RoundcubePlugins (v 2.0.2)

    Edited once, last by Viktor ().

  • Successfully compiled 7.4.2 with the actual PhpSwitcher version.

    Just edit /var/www/imscp/gui/plugins/PhpSwitcher/PhpCompiler/php_compiler.pl accordingly

  • Successfully compiled 7.4.2 with the actual PhpSwitcher version.

    Just edit /var/www/imscp/gui/plugins/PhpSwitcher/PhpCompiler/php_compiler.pl accordingly


    Hello,


    thanks for the info and it worked great.:thumbsup:


    greeting

    Viktor

    - Distribution: Debian | Release: 8.10 | Codename: jessie

    - i-MSCP Version: i-MSCP 1.5.3 | Build: 20180516 | Codename: Ennio Morricone

    - Plugins installed: ClamAV (v. 1.3.0), Mailgraph (v 1.1.1), OpenDKIM (v 2.0.0), PanelRedirect (v 1.2.0) & SpamAssassin (v 2.0.1)

    - LetsEncrypt (v 3.5.0), PhpSwitcher (v 5.0.5), RoundcubePlugins (v 2.0.2)

  • What code did you add to the php_compiler.pl file to get it to work? I need PHP Switcher to use 7.4.1

    I thin you will have to add/change the PHP version here in the line for '7.4'


    Code
    1. '7.1' => '7.1.33', # End of life: 01 December 2019
    2. '7.2' => '7.2.24', # End of life: 30 November 2020
    3. '7.3' => '7.3.11', # End of life: 06 December 2021
    4. '7.4' => [ # End of life: December 2022 - Unreleased yet
    5. '7.4.0RC4', 'https://downloads.php.net/~derick/php-7.4.0RC4.tar.gz'
    6. ]
    7. );

    i-MSCP 1.5.3 | Ubuntu 18.04

  • Hello,


    I did it like this.



    Kind regards

    Viktor

    - Distribution: Debian | Release: 8.10 | Codename: jessie

    - i-MSCP Version: i-MSCP 1.5.3 | Build: 20180516 | Codename: Ennio Morricone

    - Plugins installed: ClamAV (v. 1.3.0), Mailgraph (v 1.1.1), OpenDKIM (v 2.0.0), PanelRedirect (v 1.2.0) & SpamAssassin (v 2.0.1)

    - LetsEncrypt (v 3.5.0), PhpSwitcher (v 5.0.5), RoundcubePlugins (v 2.0.2)

  • FloRet88

    Added the Label community contribution
  • Hello,


    someone has an idea because PHP 7.4.4 does not work.;(


    greeting

    Viktor

    - Distribution: Debian | Release: 8.10 | Codename: jessie

    - i-MSCP Version: i-MSCP 1.5.3 | Build: 20180516 | Codename: Ennio Morricone

    - Plugins installed: ClamAV (v. 1.3.0), Mailgraph (v 1.1.1), OpenDKIM (v 2.0.0), PanelRedirect (v 1.2.0) & SpamAssassin (v 2.0.1)

    - LetsEncrypt (v 3.5.0), PhpSwitcher (v 5.0.5), RoundcubePlugins (v 2.0.2)

  • my system


    Files

    • alle php.PNG

      (69.1 kB, downloaded 15 times, last: )
    • beta.PNG

      (75.78 kB, downloaded 20 times, last: )

    my System :

    - Distribution: Debian | Release: 9.13 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.3.0), Mailgraph (v 1.1.1), OpenDKIM (v 2.0.0), SpamAssassin (v 2.0.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 5.0.5), RoundcubePlugins (v 2.0.2)YubiKeyAuth 1.1.0